Subject: Re: Windows mysql CLI and Cygwin terminals
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 09 Mar 2005 13:01:30 -0800

Eric Brunson wrote:

> I've had a bitch of a time getting a response through, but anyway...
> 
> If definitely seems to be a problem with the termio.  When I 'type
> blind' at the CLI then issue 'quit' all the output from my commands
> pours out.
> 
> Is there a work around?  Some setting in the xterm or rxvt?  Otherwise,
> I'd love to have a copy of your cygwin compiled version.  I want to get
> it working in emacs SQLi mode, then I'll be happy.

If the program behaives strangely with its output to a pty (which are a
unix thing and don't exist in windows) then your only choice is not to
use a pty.  Run it from a CMD.EXE window (not rxvt or xterm) and make
sure you don't have "tty" set in your $CYGWIN for that session.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/